#!/usr/bin/env ruby

require 'zip/zip'
require 'cgi'
require "pinclude"

print "Content-type: text/plain\n\n"

begin
	cgi = CGI.new

	$apiVersion = cgi['apiVersion']
	$command = cgi['command']
	$pluginDir = "./" + $apiVersion + "/";
	$plugin = cgi['plugin']

	throwErr "apiVersion was empty" if $apiVersion.empty?

	method = method( $command )
	method.call
rescue SystemExit
	# do nothing
rescue Exception => exception
	print exception.class.to_s + "\n"
	print $@.join( "\n" ) + "\n" + $!
end
